# conjure.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`

## Defines
#define | DestroyConjure()
#define | ThrowConjureException(asperity, tag, option)
#define | ThrowConjureInvalidArgumentException(option, argument)
## Functions
static void | ConjureUsage (void)
WandExport MagickBooleanType | ConjureImageCommand (ImageInfo *image_info, int argc, char **argv, char **wand_unused(metadata), ExceptionInfo *exception)

## Define Documentation

#define DestroyConjure | ( |  | ) |

Value:

    { \
      image=DestroyImageList(image); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowConjureException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
         option); \
      DestroyConjure(); \
      return(MagickFalse); \
    }

#define ThrowConjureInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyConjure(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType ConjureImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | wand_unused(metadata),
|  | ExceptionInfo * | exception |
| ) |  |  |

static void ConjureUsage | ( | void |  | ) | `[static]`